Bug 93483 - Black screen when switching to VT with CTRL ALT F1 on Ivybridge and Broadwell kernel 4.4-rc1
Summary: Black screen when switching to VT with CTRL ALT F1 on Ivybridge and Broadwell...
Status: CLOSED DUPLICATE of bug 92119
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-23 12:34 UTC by Tasev
Modified: 2017-07-24 22:43 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tasev 2015-12-23 12:34:41 UTC
Tasev Nikola 2015-12-22 19:45:33 UTC

Hi 

I only noticed this yesterday, but starting from kernel 4.4-rc1 to 4.4-rc6 switching to VT with CTRL ALT F1 will result with a black screen (nothing displayed on it) on my both ivybridge and broadwell Asus UX31A UX305FA.
Login in and typing something in the dark (sudo reboot) is working.

Bisecting gives:

f4502c25ebd04691f284fdafff4a5613299c36dc is the first bad commit
commit f4502c25ebd04691f284fdafff4a5613299c36dc
Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
Date:   Thu Aug 27 15:44:04 2015 +0200

    drm/i915: Always try to inherit the initial fb.
    
    The initial state is read out correctly and the state is atomic,
    so it's safe to preserve the fb without any hacks if it's suitable.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
    Reviewed-by: Jesse Barnes <jbarnes@virtuousgeek.org>
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

After some research i found the commit on 

http://www.spinics.net/lists/intel-gfx/msg72159.html

diff --git a/drivers/gpu/drm/i915/intel_fbdev.c b/drivers/gpu/drm/i915/intel_fbdev.c
index 7eff33ff84f6..914679ceb200 100644
--- a/drivers/gpu/drm/i915/intel_fbdev.c
+++ b/drivers/gpu/drm/i915/intel_fbdev.c
@@ -578,9 +578,6 @@ static bool intel_fbdev_init_bios(struct drm_device *dev,
 	struct intel_crtc *intel_crtc;
 	unsigned int max_size = 0;
 
-	if (!i915.fastboot)
-		return false;
-
 	/* Find the largest fb */
 	for_each_crtc(dev, crtc) {
 		struct drm_i915_gem_object *obj =


Reverting the commit fix the issue on both laptop's.

Setting i915.fastboot=0 in grub doesn't help
Comment 1 Tasev 2016-01-06 19:19:48 UTC
Hi

Happy new year!

Just to report that switching to VT with CTRL ALT F1 is still 
not working with the 4.4-rc8 kernel.

Revert the commit drm/i915: Always try to inherit the initial fb
fix the issue.

I use kubuntu 14.04 Trusty with KDE4.
Comment 2 Tasev 2016-01-11 16:57:19 UTC
Hi

I realize that i didn't report my hardware, sorry.

lspci | grep VGA  Asus UX31A
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)

lspci | grep VGA Asus UX305FA
00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 08)

If you need more info, or if i reported this at the wrong place ,
just tell me.

Thank you
Comment 3 kotipalvelu 2016-01-22 09:34:03 UTC
I can confirm this is happening still with 4.4 kernel pulled from Ubuntu kernel -site (Trusty 14.04 with 4.4).

I switched desktop users between Ubuntu Unity (Compiz) desktop and gnome-flashback desktop user, switching from compiz to flashback went OK byt switching back triggers this (tried twice):

[155204.199603] ------------[ cut here ]------------
[155204.199617] WARNING: CPU: 2 PID: 27241 at /home/kernel/COD/linux/include/linux/kref.h:46 drm_framebuffer_reference+0x64/0x70 [drm]()
[155204.199637] Modules linked in: nls_utf8 nls_iso8859_1 isofs ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc iptable_nat nf_nat_ipv4 xt_multiport pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) ebtable_nat ebtables vmnet(OE) vmw_vsock_vmci_transport vsock vmw_vmci vmmon(OE) bnep rfcomm bluetooth binfmt_misc joydev input_leds hid_generic usbhid hid ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 xt_hl ip6t_rt nf_conntrack_ipv6 nf_defrag_ipv6 ipt_REJECT nf_reject_ipv4 nf_log_ipv4 nf_log_common xt_LOG xt_limit xt_tcpudp xt_addrtype nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast nf_nat_ftp nf_nat nf_conntrack_ftp nf_conntrack btrfs snd_hda_codec_hdmi ses enclosure snd_hda_codec_realtek snd_hda_codec_generic xor option qmi_wwan cdc_wdm usb_wwan usbnet usbserial eeepc_wmi asus_wmi sparse_keymap intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_hda_intel snd_hda_codec snd_hda_core irqbypass snd_hwdep crct10dif_pclmul crc32_pclmul iptable_filter ip_tables x_tables aesni_intel i915 snd_pcm aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd_seq_midi snd_seq_midi_event snd_rawmidi serio_raw drm_kms_helper drm snd_seq raid6_pq snd_seq_device snd_timer lpc_ich i2c_algo_bit 8250_fintek fb_sys_fops wmi syscopyarea mei_me sysfillrect video sysimgblt mei ie31200_edac mac_hid snd shpchp edac_core soundcore parport_pc ppdev lp parport uas usb_storage psmouse ahci 3c59x r8169 libahci mii fjes
[155204.199665] CPU: 2 PID: 27241 Comm: Xorg Tainted: G        W  OE   4.4.0-040400-generic #201601101930
[155204.199666] Hardware name: System manufacturer System Product Name/P8Z77-V LX, BIOS 0610 05/08/2012
[155204.199668]  0000000000000000 000000007b2bbf01 ffff880008527a78 ffffffff813c8d94
[155204.199669]  0000000000000000 ffff880008527ab0 ffffffff8107dba2 ffff88040b921b40
[155204.199670]  ffff8802d6490cc0 ffff8802d6490cc0 ffff8800c512a800 ffff88040a29c000
[155204.199671] Call Trace:
[155204.199675]  [<ffffffff813c8d94>] dump_stack+0x44/0x60
[155204.199677]  [<ffffffff8107dba2>] warn_slowpath_common+0x82/0xc0
[155204.199679]  [<ffffffff8107dcea>] warn_slowpath_null+0x1a/0x20
[155204.199686]  [<ffffffffc01e2704>] drm_framebuffer_reference+0x64/0x70 [drm]
[155204.199695]  [<ffffffffc01f4a0d>] drm_atomic_set_fb_for_plane+0x2d/0x90 [drm]
[155204.199700]  [<ffffffffc0278dde>] __drm_atomic_helper_set_config+0xde/0x3c0 [drm_kms_helper]
[155204.199703]  [<ffffffffc027ad7c>] drm_fb_helper_pan_display+0x18c/0x230 [drm_kms_helper]
[155204.199719]  [<ffffffffc03e8c5a>] intel_fbdev_pan_display+0x1a/0x60 [i915]
[155204.199722]  [<ffffffff8144b6df>] fb_pan_display+0xcf/0x160
[155204.199723]  [<ffffffff81445870>] bit_update_start+0x20/0x50
[155204.199725]  [<ffffffff81442970>] fbcon_switch+0x3b0/0x640
[155204.199728]  [<ffffffff814d762e>] redraw_screen+0x19e/0x280
[155204.199729]  [<ffffffff814cdbcf>] complete_change_console+0x3f/0xe0
[155204.199730]  [<ffffffff814ce380>] vt_ioctl+0x710/0x12f0
[155204.199736]  [<ffffffffc01d9759>] ? drm_ioctl+0x189/0x540 [drm]
[155204.199737]  [<ffffffff814c177f>] tty_ioctl+0x35f/0xc30
[155204.199740]  [<ffffffff81219668>] do_vfs_ioctl+0x298/0x480
[155204.199742]  [<ffffffff812087f1>] ? __sb_end_write+0x21/0x30
[155204.199743]  [<ffffffff8120645d>] ? vfs_write+0x15d/0x1a0
[155204.199744]  [<ffffffff812198c9>] SyS_ioctl+0x79/0x90
[155204.199747]  [<ffffffff817fd9b6>] entry_SYSCALL_64_fastpath+0x16/0x75
[155204.199748] ---[ end trace 1c7201880884e590 ]---
[155204.201854] BUG: unable to handle kernel NULL pointer dereference at 0000000000000060
[155204.201868] IP: [<ffffffffc03dfc0c>] intel_fb_obj_invalidate+0x1c/0xf0 [i915]
[155204.201869] PGD 0 
[155204.201870] Oops: 0000 [#1] SMP 
[155204.201887] Modules linked in: nls_utf8 nls_iso8859_1 isofs ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc iptable_nat nf_nat_ipv4 xt_multiport pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) ebtable_nat ebtables vmnet(OE) vmw_vsock_vmci_transport vsock vmw_vmci vmmon(OE) bnep rfcomm bluetooth binfmt_misc joydev input_leds hid_generic usbhid hid ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 xt_hl ip6t_rt nf_conntrack_ipv6 nf_defrag_ipv6 ipt_REJECT nf_reject_ipv4 nf_log_ipv4 nf_log_common xt_LOG xt_limit xt_tcpudp xt_addrtype nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack ip6table_filter ip6_tables nf_conntrack_netbios_ns nf_conntrack_broadcast nf_nat_ftp nf_nat nf_conntrack_ftp nf_conntrack btrfs snd_hda_codec_hdmi ses enclosure snd_hda_codec_realtek snd_hda_codec_generic xor option qmi_wwan cdc_wdm usb_wwan usbnet usbserial eeepc_wmi asus_wmi sparse_keymap intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_hda_intel snd_hda_codec snd_hda_core irqbypass snd_hwdep crct10dif_pclmul crc32_pclmul iptable_filter ip_tables x_tables aesni_intel i915 snd_pcm aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd snd_seq_midi snd_seq_midi_event snd_rawmidi serio_raw drm_kms_helper drm snd_seq raid6_pq snd_seq_device snd_timer lpc_ich i2c_algo_bit 8250_fintek fb_sys_fops wmi syscopyarea mei_me sysfillrect video sysimgblt mei ie31200_edac mac_hid snd shpchp edac_core soundcore parport_pc ppdev lp parport uas usb_storage psmouse ahci 3c59x r8169 libahci mii fjes
[155204.201908] CPU: 2 PID: 27241 Comm: Xorg Tainted: G        W  OE   4.4.0-040400-generic #201601101930
[155204.201909] Hardware name: System manufacturer System Product Name/P8Z77-V LX, BIOS 0610 05/08/2012
[155204.201909] task: ffff880007de6040 ti: ffff880008524000 task.ti: ffff880008524000
[155204.201923] RIP: 0010:[<ffffffffc03dfc0c>]  [<ffffffffc03dfc0c>] intel_fb_obj_invalidate+0x1c/0xf0 [i915]
[155204.201923] RSP: 0018:ffff880008527a58  EFLAGS: 00010246
[155204.201924] RAX: ffff880007de6040 RBX: ffff8802b1d45f00 RCX: 000000001fa8e67b
[155204.201925] RDX: ffff88040b921b40 RSI: 0000000000000000 RDI: ffff8802b1d45f00
[155204.201925] RBP: ffff880008527a80 R08: 0000000000019d40 R09: ffffffffc01f2d46
[155204.201926] R10: ffffea00044ca100 R11: ffff880113284d80 R12: 0000000000000000
[155204.201926] R13: 0000000000000000 R14: 0000000000200001 R15: 0000000000000080
[155204.201927] FS:  00007f6d6abe18c0(0000) GS:ffff88041fa80000(0000) knlGS:0000000000000000
[155204.201928] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[155204.201928] CR2: 0000000000000060 CR3: 000000040bcc3000 CR4: 00000000001406e0
[155204.201929] Stack:
[155204.201930]  ffff88040a0c0c00 ffff88040905c000 0000000000000000 0000000000200001
[155204.201931]  0000000000000080 ffff880008527aa0 ffffffffc03e8d43 0000000008527aa8
[155204.201931]  ffff880008527c48 ffff880008527c18 ffffffff8144bb76 ffff88040905c060
[155204.201932] Call Trace:
[155204.201943]  [<ffffffffc03e8d43>] intel_fbdev_set_par+0x43/0x60 [i915]
[155204.201945]  [<ffffffff8144bb76>] fb_set_var+0x236/0x460
[155204.201950]  [<ffffffffc027a642>] ? drm_fb_helper_setcmap+0x262/0x460 [drm_kms_helper]
[155204.201952]  [<ffffffff810b1039>] ? update_curr+0x79/0x150
[155204.201954]  [<ffffffff81441e8f>] fbcon_blank+0x30f/0x350
[155204.201956]  [<ffffffff810a7539>] ? ttwu_do_wakeup+0x19/0xc0
[155204.201958]  [<ffffffff814d8ab3>] do_unblank_screen+0xd3/0x1a0
[155204.201959]  [<ffffffff814cdbe9>] complete_change_console+0x59/0xe0
[155204.201960]  [<ffffffff814ce380>] vt_ioctl+0x710/0x12f0
[155204.201965]  [<ffffffffc01d9759>] ? drm_ioctl+0x189/0x540 [drm]
[155204.201967]  [<ffffffff814c177f>] tty_ioctl+0x35f/0xc30
[155204.201969]  [<ffffffff81219668>] do_vfs_ioctl+0x298/0x480
[155204.201971]  [<ffffffff812087f1>] ? __sb_end_write+0x21/0x30
[155204.201972]  [<ffffffff8120645d>] ? vfs_write+0x15d/0x1a0
[155204.201973]  [<ffffffff812198c9>] SyS_ioctl+0x79/0x90
[155204.201974]  [<ffffffff817fd9b6>] entry_SYSCALL_64_fastpath+0x16/0x75
[155204.201988] Code: 41 5f 5d c3 90 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 55 48 89 e5 41 57 41 56 41 55 41 54 41 89 f5 53 4c 8b 67 08 48 89 fb <41> 8b 44 24 60 4d 8b 74 24 28 83 f8 01 74 58 8b b3 5c 01 00 00 
[155204.201999] RIP  [<ffffffffc03dfc0c>] intel_fb_obj_invalidate+0x1c/0xf0 [i915]
[155204.201999]  RSP <ffff880008527a58>
[155204.201999] CR2: 0000000000000060
[155204.202000] ---[ end trace 1c7201880884e591 ]---

lshw -class CPU
  *-cpu                   
       description: CPU
       product: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz
       vendor: Intel Corp.
       physical id: 4
       bus info: cpu@0
       version: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz
       serial: To Be Filled By O.E.M.
       slot: LGA1155
       size: 3345MHz
       capacity: 3345MHz
       width: 64 bits
       clock: 100MHz
       capabilities: x86-64 fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms xsaveopt cpufreq
       configuration: cores=4 enabledcores=1 threads=2

Linux ********* 4.4.0-040400-generic #201601101930 SMP Mon Jan 11 00:32:41 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

lspci -k | grep -i vga
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)
Comment 4 Tasev 2016-01-25 15:49:25 UTC
Hi

Just to report that the bug is fixed (for me) in the 4.5-rc1 kernel

Thank's
Comment 5 Jiri Slaby 2016-02-01 15:17:37 UTC

*** This bug has been marked as a duplicate of bug 92119 ***


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.